f="$0"
for t in 1 2 3 4 5
do
	if [ -L "$f" ]; then
		f0="$f"
		f=`ls -l "$f" | sed -e 's/^.* -> //'`
		if echo "$f" | grep '^/' > /dev/null; then
			:
		else
			f="`dirname "$f0"`/$f"
		fi
	else
		break
	fi
done
dir=`dirname "$f"`

#if [ ! -d "$dir/$name" ]; then
#	echo "cannot find platform dir: $dir/$name for your OS:" 
#	uname -sm
#	echo "you can set the \$UNAME env. var. to override the setting."
#	exit 1
#fi
#
## Put our os.arch and other utils dirs at head of PATH to be sure to
## pick them up:
##
#PATH="$dir:$dir/$name:$dir/util:$PATH"
#if echo "$dir" | grep '^/' > /dev/null; then
#	:
#else
#	dir=`pwd`/$dir
#	PATH="$dir:$dir/$name:$dir/util:$PATH"
#fi
